OFFPUNK(1)

NAME
offpunk - command line gemini client

SYNOPSIS
offpunk [--bookmarks] [--config-file FILE] [--command COMMAND] [--sync] [--assume-yes] [--disable-http] [--fetch-later] [--depth DEPTH] [--images-mode IMAGES_MODE] [--cache-validity CACHE_VALIDITY] [URL ...]
offpunk -h | --help
offpunk --version
offpunk --features

DESCRIPTION
Offpunk is a command-line browser and feed reader dedicated to browsing the Web, Gemini, Gopher and Spartan. Thanks to its permanent cache, it is optimised to be used offline with rare connections but works as well when connected.

Offpunk is optimised for reading and supports readability mode, displaying pictures, subscribing to pages or RSS feeds, managing complex lists of bookmarks. Its integrated help and easy commands make it a perfect tool for command-line novices while power-users will be amazed by its shell integration.

  Positional arguments

URL start with this URL

  Keyword arguments

-h, --help
    Show a help message and exit

--bookmarks
    start with your list of bookmarks

--config-file FILE
    use this particular config file instead of default

--command COMMAND
    launch this or those command(s) after startup (including config file).

--sync
    run non-interactively to build cache by exploring bookmarks

--assume-yes
    assume-yes when asked questions about certificates/redirections during sync (lower security)

--disable-http
    do not try to get http(s) links (but already cached will be displayed)

--fetch-later
    run non-interactively with an URL as argument to fetch it later

--depth DEPTH
    depth of the cache to build. Default is 1. More is crazy. Use at your own risks!

--images-mode IMAGES_MODE
    the mode to use to choose which images to download in a HTML page. one of (None, readable, full). Warning: full will slowdown your sync.

--cache-validity CACHE_VALIDITY
    duration for which a cache is valid before sync (seconds)

--version
    display version information and quit

--features
    display available features and dependancies then quit

EXIT STATUS

SEE ALSO
ansicat(1), migrate-offpunk-cache(1), netcache(1), openk(1), https://offpunk.net/

HISTORY
offpunk is a fork of the original AV-98 by Solderpunk and was originally called AV-98-offline as an experimental branch.

AUTHORS
Lionel Dricot (Ploum) <offpunk2 at ploum.eu>